4

I am trying to upgrade through terminal ( preference ) and I still got this error which I have not seen yet. I am using Ubuntu KDE (Kubuntu 16.04 xenial ). Thanks for help.

Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
libgeoclue0 libxapian-1.3-5 python3-xapian1.3 vlc-plugin-notify vlc-plugin-samba
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
4 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up linux-image-4.4.0-38-generic (4.4.0-38.57) ...
Running depmod.
sh: 1: /usr/sbin/update-initramfs: not found
Failed to create initrd image.
dpkg: error processing package linux-image-4.4.0-38-generic (--configure):
subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of linux-image-extra- 4.4.0-38-generic:
linux-image-extra-4.4.0-38-generic depends on linux-image-4.4.0-38-generic; however:
Package linux-image-4.4.0-38-generic is not configured yet.

dpkg: error processing package linux-image-extra-4.4.0-38-generic (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-image-generic:
linux-image-generic depends on linux-image-4.4.0-38-generic; however:
Package linux-image-4.4.0-38-generic is not configured yet.
linux-image-generic depends on linux-image-extra-4.4.0-38-generic; however:
Package linux-image-extra-4.4.0-38-generic is not configured yet.

dpkg: error processing package linux-image-generic (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-generic:
linux-generic depends on linux-image-generic (= 4.4.0.38.40); however:
Package linux-image-generic is not configured No apport report written because the error message indicates its a followup error from a previous failure.
No apport report written >because the error message indicates its a followup error from a previous failure.
No apport report written >because MaxReports is reached already
yet.

dpkg: error processing package linux-generic (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
linux-image-4.4.0-38-generic
linux-image-extra-4.4.0-38-generic
linux-image-generic
linux-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

0

It seems like it can't find the file /usr/sbin/update-initramfs and that initramfs-tools might not be properly installed.

You can try the following command to see if it's already installed:

sudo dpkg -l |grep initramfs-tools

If it isn't installed yet, you can try the following command:

sudo apt-get install initramfs-tools

If it says that it's already installed you could try the following:

sudo apt-get install --reinstall initramfs-tools

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.